﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace TemplateSwitching
{
    public class SourceData
    {
        public string Country { get; set; }

        public string Town { get; set; }

        public string Address { get; set; }


        public static IEnumerable<SourceData> GetData()
        {
            var handMadeData = new[]
            {
                new SourceData { Country = "UK", Town = "London", Address = "221b Baker Street" },
                new SourceData { Country = "UK", Town = "London", Address = "32 Windsor Gardens" },
                new SourceData { Country = "UK", Town = "London", Address = "Buckingham Palace" },
                new SourceData { Country = "UK", Town = "London", Address = "29 Acacia Road" },

                new SourceData { Country = "UK", Town = "Manchester", Address = "15 Jubilee Terrace" },
                new SourceData { Country = "UK", Town = "Manchester", Address = "13 Coronation Street" },

                new SourceData { Country = "USA", Town = "New York", Address = "890 Fifth Avenue" },
                new SourceData { Country = "USA", Town = "New York", Address = "Apartment 5E, 129 West 81st Street" },
                new SourceData { Country = "USA", Town = "New York", Address = "1407 Graymalkin Lane" },

                new SourceData { Country = "USA", Town = "Chicago", Address = "1060 West Addison Street" },

                new SourceData { Country = "USA", Town = "Beverly Hills", Address = "518 Crestview Drive" },
                new SourceData { Country = "USA", Town = "Beverly Hills", Address = "933 Hillcrest Drive" },

                new SourceData { Country = "France", Town = "Paris", Address = "6 place du Parvis" },

                new SourceData { Country = "France", Town = "La Barre", Address = "Chateau Picard" },
            };

            var r = new Random(1);
            var generatedData =
                from i in Enumerable.Range(0, 1000)
                select new SourceData
                {
                    Country = "Country " + r.Next(1, 9),
                    Town = "Town " + r.Next(1, 9),
                    Address = "Address " + i
                };

            return handMadeData.Concat(generatedData);
        }
    }
}
